public class circle extends point 
{
    protected double radius;

    public circle(double r, double a, double b) throws zero_or_negative_sizeException
    {  super(a,b);
       enterradius(r);
    }
    
    public circle(double r, point n) throws zero_or_negative_sizeException
    {  super(n.readX(),n.readY());
       enterradius(r);
    }
    
    public circle(circle c) throws zero_or_negative_sizeException
    {  super(c.x,c.y);
       enterradius(c.radius);
    }
        
    public void enterradius(double r) throws zero_or_negative_sizeException
    {   if(r > 0.0)
            radius=r;
        else 
            throw new zero_or_negative_sizeException();
    }
    
    public double readradius()
    {return radius;}

    public double area()
    {return Math.PI*radius*radius;}

    public String toString()
    { return "Center = "+"["+x+","+y+"]"+"; radius="+radius;}
    
    public String name(){return "circle";}
}